Active Directory Configuration resource
Uses Azure REST API version 2025-09-01-preview.
Import
An existing resource can be imported using its type token, name, and identifier, e.g.
$ pulumi import azure-native:netapp:ActiveDirectoryConfig adconfig1 /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetApp/activeDirectoryConfigs/{activeDirectoryConfigName}
Create ActiveDirectoryConfig Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new ActiveDirectoryConfig(name: string, args: ActiveDirectoryConfigArgs, opts?: CustomResourceOptions);@overload
def ActiveDirectoryConfig(resource_name: str,
args: ActiveDirectoryConfigArgs,
opts: Optional[ResourceOptions] = None)
@overload
def ActiveDirectoryConfig(resource_name: str,
opts: Optional[ResourceOptions] = None,
resource_group_name: Optional[str] = None,
active_directory_config_name: Optional[str] = None,
identity: Optional[ManagedServiceIdentityArgs] = None,
location: Optional[str] = None,
properties: Optional[ActiveDirectoryConfigPropertiesArgs] = None,
tags: Optional[Mapping[str, str]] = None)func NewActiveDirectoryConfig(ctx *Context, name string, args ActiveDirectoryConfigArgs, opts ...ResourceOption) (*ActiveDirectoryConfig, error)public ActiveDirectoryConfig(string name, ActiveDirectoryConfigArgs args, CustomResourceOptions? opts = null)
public ActiveDirectoryConfig(String name, ActiveDirectoryConfigArgs args)
public ActiveDirectoryConfig(String name, ActiveDirectoryConfigArgs args, CustomResourceOptions options)
type: azure-native:netapp:ActiveDirectoryConfig
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args ActiveDirectoryConfigArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args ActiveDirectoryConfigArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args ActiveDirectoryConfigArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args ActiveDirectoryConfigArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args ActiveDirectoryConfigArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var activeDirectoryConfigResource = new AzureNative.NetApp.ActiveDirectoryConfig("activeDirectoryConfigResource", new()
{
ResourceGroupName = "string",
ActiveDirectoryConfigName = "string",
Identity = new AzureNative.NetApp.Inputs.ManagedServiceIdentityArgs
{
Type = "string",
UserAssignedIdentities = new[]
{
"string",
},
},
Location = "string",
Properties = new AzureNative.NetApp.Inputs.ActiveDirectoryConfigPropertiesArgs
{
Domain = "string",
SecretPassword = new AzureNative.NetApp.Inputs.SecretPasswordArgs
{
Identity = new AzureNative.NetApp.Inputs.SecretPasswordIdentityArgs
{
UserAssignedIdentity = "string",
},
KeyVaultProperties = new AzureNative.NetApp.Inputs.SecretPasswordKeyVaultPropertiesArgs
{
KeyVaultUri = "string",
SecretName = "string",
},
},
Administrators = new[]
{
"string",
},
BackupOperators = new[]
{
"string",
},
Dns = new[]
{
"string",
},
OrganizationalUnit = "string",
SecurityOperators = new[]
{
"string",
},
Site = "string",
SmbServerName = "string",
UserName = "string",
},
Tags =
{
{ "string", "string" },
},
});
example, err := netapp.NewActiveDirectoryConfig(ctx, "activeDirectoryConfigResource", &netapp.ActiveDirectoryConfigArgs{
ResourceGroupName: pulumi.String("string"),
ActiveDirectoryConfigName: pulumi.String("string"),
Identity: &netapp.ManagedServiceIdentityArgs{
Type: pulumi.String("string"),
UserAssignedIdentities: pulumi.StringArray{
pulumi.String("string"),
},
},
Location: pulumi.String("string"),
Properties: &netapp.ActiveDirectoryConfigPropertiesArgs{
Domain: pulumi.String("string"),
SecretPassword: &netapp.SecretPasswordArgs{
Identity: &netapp.SecretPasswordIdentityArgs{
UserAssignedIdentity: pulumi.String("string"),
},
KeyVaultProperties: &netapp.SecretPasswordKeyVaultPropertiesArgs{
KeyVaultUri: pulumi.String("string"),
SecretName: pulumi.String("string"),
},
},
Administrators: pulumi.StringArray{
pulumi.String("string"),
},
BackupOperators: pulumi.StringArray{
pulumi.String("string"),
},
Dns: pulumi.StringArray{
pulumi.String("string"),
},
OrganizationalUnit: pulumi.String("string"),
SecurityOperators: pulumi.StringArray{
pulumi.String("string"),
},
Site: pulumi.String("string"),
SmbServerName: pulumi.String("string"),
UserName: pulumi.String("string"),
},
Tags: pulumi.StringMap{
"string": pulumi.String("string"),
},
})
var activeDirectoryConfigResource = new ActiveDirectoryConfig("activeDirectoryConfigResource", ActiveDirectoryConfigArgs.builder()
.resourceGroupName("string")
.activeDirectoryConfigName("string")
.identity(ManagedServiceIdentityArgs.builder()
.type("string")
.userAssignedIdentities("string")
.build())
.location("string")
.properties(ActiveDirectoryConfigPropertiesArgs.builder()
.domain("string")
.secretPassword(SecretPasswordArgs.builder()
.identity(SecretPasswordIdentityArgs.builder()
.userAssignedIdentity("string")
.build())
.keyVaultProperties(SecretPasswordKeyVaultPropertiesArgs.builder()
.keyVaultUri("string")
.secretName("string")
.build())
.build())
.administrators("string")
.backupOperators("string")
.dns("string")
.organizationalUnit("string")
.securityOperators("string")
.site("string")
.smbServerName("string")
.userName("string")
.build())
.tags(Map.of("string", "string"))
.build());
active_directory_config_resource = azure_native.netapp.ActiveDirectoryConfig("activeDirectoryConfigResource",
resource_group_name="string",
active_directory_config_name="string",
identity={
"type": "string",
"user_assigned_identities": ["string"],
},
location="string",
properties={
"domain": "string",
"secret_password": {
"identity": {
"user_assigned_identity": "string",
},
"key_vault_properties": {
"key_vault_uri": "string",
"secret_name": "string",
},
},
"administrators": ["string"],
"backup_operators": ["string"],
"dns": ["string"],
"organizational_unit": "string",
"security_operators": ["string"],
"site": "string",
"smb_server_name": "string",
"user_name": "string",
},
tags={
"string": "string",
})
const activeDirectoryConfigResource = new azure_native.netapp.ActiveDirectoryConfig("activeDirectoryConfigResource", {
resourceGroupName: "string",
activeDirectoryConfigName: "string",
identity: {
type: "string",
userAssignedIdentities: ["string"],
},
location: "string",
properties: {
domain: "string",
secretPassword: {
identity: {
userAssignedIdentity: "string",
},
keyVaultProperties: {
keyVaultUri: "string",
secretName: "string",
},
},
administrators: ["string"],
backupOperators: ["string"],
dns: ["string"],
organizationalUnit: "string",
securityOperators: ["string"],
site: "string",
smbServerName: "string",
userName: "string",
},
tags: {
string: "string",
},
});
type: azure-native:netapp:ActiveDirectoryConfig
properties:
activeDirectoryConfigName: string
identity:
type: string
userAssignedIdentities:
- string
location: string
properties:
administrators:
- string
backupOperators:
- string
dns:
- string
domain: string
organizationalUnit: string
secretPassword:
identity:
userAssignedIdentity: string
keyVaultProperties:
keyVaultUri: string
secretName: string
securityOperators:
- string
site: string
smbServerName: string
userName: string
resourceGroupName: string
tags:
string: string
ActiveDirectoryConfig Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The ActiveDirectoryConfig resource accepts the following input properties:
- Resource
Group stringName - The name of the resource group. The name is case insensitive.
- Active
Directory stringConfig Name - The name of the ActiveDirectoryConfig
- Identity
Pulumi.
Azure Native. Net App. Inputs. Managed Service Identity - The managed service identities assigned to this resource.
- Location string
- The geo-location where the resource lives
- Properties
Pulumi.
Azure Native. Net App. Inputs. Active Directory Config Properties - The resource-specific properties for this resource.
- Dictionary<string, string>
- Resource tags.
- Resource
Group stringName - The name of the resource group. The name is case insensitive.
- Active
Directory stringConfig Name - The name of the ActiveDirectoryConfig
- Identity
Managed
Service Identity Args - The managed service identities assigned to this resource.
- Location string
- The geo-location where the resource lives
- Properties
Active
Directory Config Properties Args - The resource-specific properties for this resource.
- map[string]string
- Resource tags.
- resource
Group StringName - The name of the resource group. The name is case insensitive.
- active
Directory StringConfig Name - The name of the ActiveDirectoryConfig
- identity
Managed
Service Identity - The managed service identities assigned to this resource.
- location String
- The geo-location where the resource lives
- properties
Active
Directory Config Properties - The resource-specific properties for this resource.
- Map<String,String>
- Resource tags.
- resource
Group stringName - The name of the resource group. The name is case insensitive.
- active
Directory stringConfig Name - The name of the ActiveDirectoryConfig
- identity
Managed
Service Identity - The managed service identities assigned to this resource.
- location string
- The geo-location where the resource lives
- properties
Active
Directory Config Properties - The resource-specific properties for this resource.
- {[key: string]: string}
- Resource tags.
- resource_
group_ strname - The name of the resource group. The name is case insensitive.
- active_
directory_ strconfig_ name - The name of the ActiveDirectoryConfig
- identity
Managed
Service Identity Args - The managed service identities assigned to this resource.
- location str
- The geo-location where the resource lives
- properties
Active
Directory Config Properties Args - The resource-specific properties for this resource.
- Mapping[str, str]
- Resource tags.
- resource
Group StringName - The name of the resource group. The name is case insensitive.
- active
Directory StringConfig Name - The name of the ActiveDirectoryConfig
- identity Property Map
- The managed service identities assigned to this resource.
- location String
- The geo-location where the resource lives
- properties Property Map
- The resource-specific properties for this resource.
- Map<String>
- Resource tags.
Outputs
All input properties are implicitly available as output properties. Additionally, the ActiveDirectoryConfig resource produces the following output properties:
- Azure
Api stringVersion - The Azure API version of the resource.
- Etag string
- "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
- Id string
- The provider-assigned unique ID for this managed resource.
- Name string
- The name of the resource
- System
Data Pulumi.Azure Native. Net App. Outputs. System Data Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- Azure
Api stringVersion - The Azure API version of the resource.
- Etag string
- "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
- Id string
- The provider-assigned unique ID for this managed resource.
- Name string
- The name of the resource
- System
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api StringVersion - The Azure API version of the resource.
- etag String
- "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
- id String
- The provider-assigned unique ID for this managed resource.
- name String
- The name of the resource
- system
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api stringVersion - The Azure API version of the resource.
- etag string
- "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
- id string
- The provider-assigned unique ID for this managed resource.
- name string
- The name of the resource
- system
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure_
api_ strversion - The Azure API version of the resource.
- etag str
- "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
- id str
- The provider-assigned unique ID for this managed resource.
- name str
- The name of the resource
- system_
data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type str
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api StringVersion - The Azure API version of the resource.
- etag String
- "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
- id String
- The provider-assigned unique ID for this managed resource.
- name String
- The name of the resource
- system
Data Property Map - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
Supporting Types
ActiveDirectoryConfigProperties, ActiveDirectoryConfigPropertiesArgs
Active Directory Configuration properties- Domain string
- Name of the Active Directory domain
- Secret
Password Pulumi.Azure Native. Net App. Inputs. Secret Password - Access password from Azure KeyVault Secrets to connect Active Directory
- Administrators List<string>
- Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
- Backup
Operators List<string> - Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
- Dns List<string>
- An array of DNS server IP addresses(IPv4 only) for the Active Directory
- Organizational
Unit string - The Organizational Unit (OU) within the Windows Active Directory
- Security
Operators List<string> - Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
- Site string
- The Active Directory site the service will limit Domain Controller discovery to
- Smb
Server stringName - NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
- User
Name string - A domain user account with permission to create machine accounts
- Domain string
- Name of the Active Directory domain
- Secret
Password SecretPassword - Access password from Azure KeyVault Secrets to connect Active Directory
- Administrators []string
- Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
- Backup
Operators []string - Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
- Dns []string
- An array of DNS server IP addresses(IPv4 only) for the Active Directory
- Organizational
Unit string - The Organizational Unit (OU) within the Windows Active Directory
- Security
Operators []string - Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
- Site string
- The Active Directory site the service will limit Domain Controller discovery to
- Smb
Server stringName - NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
- User
Name string - A domain user account with permission to create machine accounts
- domain String
- Name of the Active Directory domain
- secret
Password SecretPassword - Access password from Azure KeyVault Secrets to connect Active Directory
- administrators List<String>
- Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
- backup
Operators List<String> - Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
- dns List<String>
- An array of DNS server IP addresses(IPv4 only) for the Active Directory
- organizational
Unit String - The Organizational Unit (OU) within the Windows Active Directory
- security
Operators List<String> - Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
- site String
- The Active Directory site the service will limit Domain Controller discovery to
- smb
Server StringName - NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
- user
Name String - A domain user account with permission to create machine accounts
- domain string
- Name of the Active Directory domain
- secret
Password SecretPassword - Access password from Azure KeyVault Secrets to connect Active Directory
- administrators string[]
- Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
- backup
Operators string[] - Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
- dns string[]
- An array of DNS server IP addresses(IPv4 only) for the Active Directory
- organizational
Unit string - The Organizational Unit (OU) within the Windows Active Directory
- security
Operators string[] - Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
- site string
- The Active Directory site the service will limit Domain Controller discovery to
- smb
Server stringName - NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
- user
Name string - A domain user account with permission to create machine accounts
- domain str
- Name of the Active Directory domain
- secret_
password SecretPassword - Access password from Azure KeyVault Secrets to connect Active Directory
- administrators Sequence[str]
- Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
- backup_
operators Sequence[str] - Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
- dns Sequence[str]
- An array of DNS server IP addresses(IPv4 only) for the Active Directory
- organizational_
unit str - The Organizational Unit (OU) within the Windows Active Directory
- security_
operators Sequence[str] - Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
- site str
- The Active Directory site the service will limit Domain Controller discovery to
- smb_
server_ strname - NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
- user_
name str - A domain user account with permission to create machine accounts
- domain String
- Name of the Active Directory domain
- secret
Password Property Map - Access password from Azure KeyVault Secrets to connect Active Directory
- administrators List<String>
- Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
- backup
Operators List<String> - Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
- dns List<String>
- An array of DNS server IP addresses(IPv4 only) for the Active Directory
- organizational
Unit String - The Organizational Unit (OU) within the Windows Active Directory
- security
Operators List<String> - Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
- site String
- The Active Directory site the service will limit Domain Controller discovery to
- smb
Server StringName - NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
- user
Name String - A domain user account with permission to create machine accounts
ActiveDirectoryConfigPropertiesResponse, ActiveDirectoryConfigPropertiesResponseArgs
Active Directory Configuration properties- Active
Directory stringStatus - Status of the Active Directory
- Domain string
- Name of the Active Directory domain
- Provisioning
State string - Azure lifecycle management.
- Secret
Password Pulumi.Azure Native. Net App. Inputs. Secret Password Response - Access password from Azure KeyVault Secrets to connect Active Directory
- Administrators List<string>
- Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
- Backup
Operators List<string> - Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
- Dns List<string>
- An array of DNS server IP addresses(IPv4 only) for the Active Directory
- Organizational
Unit string - The Organizational Unit (OU) within the Windows Active Directory
- Security
Operators List<string> - Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
- Site string
- The Active Directory site the service will limit Domain Controller discovery to
- Smb
Server stringName - NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
- User
Name string - A domain user account with permission to create machine accounts
- Active
Directory stringStatus - Status of the Active Directory
- Domain string
- Name of the Active Directory domain
- Provisioning
State string - Azure lifecycle management.
- Secret
Password SecretPassword Response - Access password from Azure KeyVault Secrets to connect Active Directory
- Administrators []string
- Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
- Backup
Operators []string - Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
- Dns []string
- An array of DNS server IP addresses(IPv4 only) for the Active Directory
- Organizational
Unit string - The Organizational Unit (OU) within the Windows Active Directory
- Security
Operators []string - Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
- Site string
- The Active Directory site the service will limit Domain Controller discovery to
- Smb
Server stringName - NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
- User
Name string - A domain user account with permission to create machine accounts
- active
Directory StringStatus - Status of the Active Directory
- domain String
- Name of the Active Directory domain
- provisioning
State String - Azure lifecycle management.
- secret
Password SecretPassword Response - Access password from Azure KeyVault Secrets to connect Active Directory
- administrators List<String>
- Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
- backup
Operators List<String> - Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
- dns List<String>
- An array of DNS server IP addresses(IPv4 only) for the Active Directory
- organizational
Unit String - The Organizational Unit (OU) within the Windows Active Directory
- security
Operators List<String> - Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
- site String
- The Active Directory site the service will limit Domain Controller discovery to
- smb
Server StringName - NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
- user
Name String - A domain user account with permission to create machine accounts
- active
Directory stringStatus - Status of the Active Directory
- domain string
- Name of the Active Directory domain
- provisioning
State string - Azure lifecycle management.
- secret
Password SecretPassword Response - Access password from Azure KeyVault Secrets to connect Active Directory
- administrators string[]
- Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
- backup
Operators string[] - Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
- dns string[]
- An array of DNS server IP addresses(IPv4 only) for the Active Directory
- organizational
Unit string - The Organizational Unit (OU) within the Windows Active Directory
- security
Operators string[] - Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
- site string
- The Active Directory site the service will limit Domain Controller discovery to
- smb
Server stringName - NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
- user
Name string - A domain user account with permission to create machine accounts
- active_
directory_ strstatus - Status of the Active Directory
- domain str
- Name of the Active Directory domain
- provisioning_
state str - Azure lifecycle management.
- secret_
password SecretPassword Response - Access password from Azure KeyVault Secrets to connect Active Directory
- administrators Sequence[str]
- Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
- backup_
operators Sequence[str] - Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
- dns Sequence[str]
- An array of DNS server IP addresses(IPv4 only) for the Active Directory
- organizational_
unit str - The Organizational Unit (OU) within the Windows Active Directory
- security_
operators Sequence[str] - Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
- site str
- The Active Directory site the service will limit Domain Controller discovery to
- smb_
server_ strname - NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
- user_
name str - A domain user account with permission to create machine accounts
- active
Directory StringStatus - Status of the Active Directory
- domain String
- Name of the Active Directory domain
- provisioning
State String - Azure lifecycle management.
- secret
Password Property Map - Access password from Azure KeyVault Secrets to connect Active Directory
- administrators List<String>
- Users to be added to the Built-in Administrators active directory group. A list of unique usernames without domain specifier
- backup
Operators List<String> - Users to be added to the Built-in Backup Operator active directory group. A list of unique usernames without domain specifier
- dns List<String>
- An array of DNS server IP addresses(IPv4 only) for the Active Directory
- organizational
Unit String - The Organizational Unit (OU) within the Windows Active Directory
- security
Operators List<String> - Domain Users in the Active directory to be given SecurityPrivilege privilege (Needed for SMB Continuously available shares for SQL). A list of unique usernames without domain specifier
- site String
- The Active Directory site the service will limit Domain Controller discovery to
- smb
Server StringName - NetBIOS name of the SMB server. This name will be registered as a computer account in the AD and used to mount volumes
- user
Name String - A domain user account with permission to create machine accounts
ManagedServiceIdentity, ManagedServiceIdentityArgs
Managed service identity (system assigned and/or user assigned identities)- Type
string | Pulumi.
Azure Native. Net App. Managed Service Identity Type - Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- User
Assigned List<string>Identities - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- Type
string | Managed
Service Identity Type - Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- User
Assigned []stringIdentities - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- type
String | Managed
Service Identity Type - Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user
Assigned List<String>Identities - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- type
string | Managed
Service Identity Type - Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user
Assigned string[]Identities - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- type
str | Managed
Service Identity Type - Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user_
assigned_ Sequence[str]identities - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- type
String | "None" | "System
Assigned" | "User Assigned" | "System Assigned,User Assigned" - Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user
Assigned List<String>Identities - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
ManagedServiceIdentityResponse, ManagedServiceIdentityResponseArgs
Managed service identity (system assigned and/or user assigned identities)- Principal
Id string - The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
- Tenant
Id string - The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
- Type string
- Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- User
Assigned Dictionary<string, Pulumi.Identities Azure Native. Net App. Inputs. User Assigned Identity Response> - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- Principal
Id string - The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
- Tenant
Id string - The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
- Type string
- Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- User
Assigned map[string]UserIdentities Assigned Identity Response - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- principal
Id String - The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
- tenant
Id String - The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
- type String
- Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user
Assigned Map<String,UserIdentities Assigned Identity Response> - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- principal
Id string - The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
- tenant
Id string - The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
- type string
- Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user
Assigned {[key: string]: UserIdentities Assigned Identity Response} - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- principal_
id str - The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
- tenant_
id str - The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
- type str
- Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user_
assigned_ Mapping[str, Useridentities Assigned Identity Response] - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- principal
Id String - The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
- tenant
Id String - The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
- type String
- Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user
Assigned Map<Property Map>Identities - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
ManagedServiceIdentityType, ManagedServiceIdentityTypeArgs
- None
None- System
Assigned SystemAssigned- User
Assigned UserAssigned- System
Assigned_User Assigned SystemAssigned,UserAssigned
- Managed
Service Identity Type None None- Managed
Service Identity Type System Assigned SystemAssigned- Managed
Service Identity Type User Assigned UserAssigned- Managed
Service Identity Type_System Assigned_User Assigned SystemAssigned,UserAssigned
- None
None- System
Assigned SystemAssigned- User
Assigned UserAssigned- System
Assigned_User Assigned SystemAssigned,UserAssigned
- None
None- System
Assigned SystemAssigned- User
Assigned UserAssigned- System
Assigned_User Assigned SystemAssigned,UserAssigned
- NONE
None- SYSTEM_ASSIGNED
SystemAssigned- USER_ASSIGNED
UserAssigned- SYSTEM_ASSIGNED_USER_ASSIGNED
SystemAssigned,UserAssigned
- "None"
None- "System
Assigned" SystemAssigned- "User
Assigned" UserAssigned- "System
Assigned,User Assigned" SystemAssigned,UserAssigned
SecretPassword, SecretPasswordArgs
Access password from Azure KeyVault Secrets to connect Active Directory- Identity
Pulumi.
Azure Native. Net App. Inputs. Secret Password Identity - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- Key
Vault Pulumi.Properties Azure Native. Net App. Inputs. Secret Password Key Vault Properties - Properties provided by KeyVault.
- Identity
Secret
Password Identity - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- Key
Vault SecretProperties Password Key Vault Properties - Properties provided by KeyVault.
- identity
Secret
Password Identity - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key
Vault SecretProperties Password Key Vault Properties - Properties provided by KeyVault.
- identity
Secret
Password Identity - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key
Vault SecretProperties Password Key Vault Properties - Properties provided by KeyVault.
- identity
Secret
Password Identity - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key_
vault_ Secretproperties Password Key Vault Properties - Properties provided by KeyVault.
- identity Property Map
- Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key
Vault Property MapProperties - Properties provided by KeyVault.
SecretPasswordIdentity, SecretPasswordIdentityArgs
Identity used to authenticate with key vault.- User
Assigned stringIdentity - The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- User
Assigned stringIdentity - The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- user
Assigned StringIdentity - The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- user
Assigned stringIdentity - The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- user_
assigned_ stridentity - The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- user
Assigned StringIdentity - The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
SecretPasswordIdentityResponse, SecretPasswordIdentityResponseArgs
Identity used to authenticate with key vault.- Principal
Id string - The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
- User
Assigned stringIdentity - The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- Principal
Id string - The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
- User
Assigned stringIdentity - The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- principal
Id String - The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
- user
Assigned StringIdentity - The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- principal
Id string - The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
- user
Assigned stringIdentity - The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- principal_
id str - The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
- user_
assigned_ stridentity - The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- principal
Id String - The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
- user
Assigned StringIdentity - The Azure resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
SecretPasswordKeyVaultProperties, SecretPasswordKeyVaultPropertiesArgs
Properties of key vault to get the secrets for password.- Key
Vault stringUri - The Uri of KeyVault.
- Secret
Name string - The name of KeyVault password secret.
- Key
Vault stringUri - The Uri of KeyVault.
- Secret
Name string - The name of KeyVault password secret.
- key
Vault StringUri - The Uri of KeyVault.
- secret
Name String - The name of KeyVault password secret.
- key
Vault stringUri - The Uri of KeyVault.
- secret
Name string - The name of KeyVault password secret.
- key_
vault_ struri - The Uri of KeyVault.
- secret_
name str - The name of KeyVault password secret.
- key
Vault StringUri - The Uri of KeyVault.
- secret
Name String - The name of KeyVault password secret.
SecretPasswordKeyVaultPropertiesResponse, SecretPasswordKeyVaultPropertiesResponseArgs
Properties of key vault to get the secrets for password.- Key
Vault stringUri - The Uri of KeyVault.
- Secret
Name string - The name of KeyVault password secret.
- Key
Vault stringUri - The Uri of KeyVault.
- Secret
Name string - The name of KeyVault password secret.
- key
Vault StringUri - The Uri of KeyVault.
- secret
Name String - The name of KeyVault password secret.
- key
Vault stringUri - The Uri of KeyVault.
- secret
Name string - The name of KeyVault password secret.
- key_
vault_ struri - The Uri of KeyVault.
- secret_
name str - The name of KeyVault password secret.
- key
Vault StringUri - The Uri of KeyVault.
- secret
Name String - The name of KeyVault password secret.
SecretPasswordResponse, SecretPasswordResponseArgs
Access password from Azure KeyVault Secrets to connect Active Directory- Identity
Pulumi.
Azure Native. Net App. Inputs. Secret Password Identity Response - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- Key
Vault Pulumi.Properties Azure Native. Net App. Inputs. Secret Password Key Vault Properties Response - Properties provided by KeyVault.
- Identity
Secret
Password Identity Response - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- Key
Vault SecretProperties Password Key Vault Properties Response - Properties provided by KeyVault.
- identity
Secret
Password Identity Response - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key
Vault SecretProperties Password Key Vault Properties Response - Properties provided by KeyVault.
- identity
Secret
Password Identity Response - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key
Vault SecretProperties Password Key Vault Properties Response - Properties provided by KeyVault.
- identity
Secret
Password Identity Response - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key_
vault_ Secretproperties Password Key Vault Properties Response - Properties provided by KeyVault.
- identity Property Map
- Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key
Vault Property MapProperties - Properties provided by KeyVault.
SystemDataResponse, SystemDataResponseArgs
Metadata pertaining to creation and last modification of the resource.- Created
At string - The timestamp of resource creation (UTC).
- Created
By string - The identity that created the resource.
- Created
By stringType - The type of identity that created the resource.
- Last
Modified stringAt - The timestamp of resource last modification (UTC)
- Last
Modified stringBy - The identity that last modified the resource.
- Last
Modified stringBy Type - The type of identity that last modified the resource.
- Created
At string - The timestamp of resource creation (UTC).
- Created
By string - The identity that created the resource.
- Created
By stringType - The type of identity that created the resource.
- Last
Modified stringAt - The timestamp of resource last modification (UTC)
- Last
Modified stringBy - The identity that last modified the resource.
- Last
Modified stringBy Type - The type of identity that last modified the resource.
- created
At String - The timestamp of resource creation (UTC).
- created
By String - The identity that created the resource.
- created
By StringType - The type of identity that created the resource.
- last
Modified StringAt - The timestamp of resource last modification (UTC)
- last
Modified StringBy - The identity that last modified the resource.
- last
Modified StringBy Type - The type of identity that last modified the resource.
- created
At string - The timestamp of resource creation (UTC).
- created
By string - The identity that created the resource.
- created
By stringType - The type of identity that created the resource.
- last
Modified stringAt - The timestamp of resource last modification (UTC)
- last
Modified stringBy - The identity that last modified the resource.
- last
Modified stringBy Type - The type of identity that last modified the resource.
- created_
at str - The timestamp of resource creation (UTC).
- created_
by str - The identity that created the resource.
- created_
by_ strtype - The type of identity that created the resource.
- last_
modified_ strat - The timestamp of resource last modification (UTC)
- last_
modified_ strby - The identity that last modified the resource.
- last_
modified_ strby_ type - The type of identity that last modified the resource.
- created
At String - The timestamp of resource creation (UTC).
- created
By String - The identity that created the resource.
- created
By StringType - The type of identity that created the resource.
- last
Modified StringAt - The timestamp of resource last modification (UTC)
- last
Modified StringBy - The identity that last modified the resource.
- last
Modified StringBy Type - The type of identity that last modified the resource.
UserAssignedIdentityResponse, UserAssignedIdentityResponseArgs
User assigned identity properties- Client
Id string - The client ID of the assigned identity.
- Principal
Id string - The principal ID of the assigned identity.
- Client
Id string - The client ID of the assigned identity.
- Principal
Id string - The principal ID of the assigned identity.
- client
Id String - The client ID of the assigned identity.
- principal
Id String - The principal ID of the assigned identity.
- client
Id string - The client ID of the assigned identity.
- principal
Id string - The principal ID of the assigned identity.
- client_
id str - The client ID of the assigned identity.
- principal_
id str - The principal ID of the assigned identity.
- client
Id String - The client ID of the assigned identity.
- principal
Id String - The principal ID of the assigned identity.
Package Details
- Repository
- Azure Native pulumi/pulumi-azure-native
- License
- Apache-2.0
